## r-cran-rcpproll 0.2.2

=== DESCRIPTION ===
Package: RcppRoll
Type: Package
Title: Efficient Rolling / Windowed Operations
Version: 0.2.2
Date: 2015-04-04
Author: Kevin Ushey
Maintainer: Kevin Ushey <kevinushey@gmail.com>
Description: Provides fast and efficient routines for
    common rolling / windowed operations. Routines for the
    efficient computation of windowed mean, median,
    sum, product, minimum, maximum, standard deviation
    and variance are provided.
License: GPL (>= 2)
Depends: R (>= 2.15.1)
Suggests: zoo, microbenchmark, testthat, RcppArmadillo
Imports: Rcpp
LinkingTo: Rcpp
NeedsCompilation: yes
Packaged: 2015-04-04 23:07:51 UTC; kevinushey
Repository: CRAN
Date/Publication: 2015-04-05 01:21:30

=== debian/changelog ===
r-cran-rcpproll (0.2.2-2) unstable; urgency=medium

  * Team upload.
  * Remove machinery for running nonexistent unit tests.
  * Rather use Testsuite: autopkgtest-pkg-r.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 14 Nov 2017 10:49:00 +0100

r-cran-rcpproll (0.2.2-1) unstable; urgency=medium

  * Initial release (closes: #879604)

 -- Andreas Tille <tille@debian.org>  Mon, 23 Oct 2017 12:27:12 +0200

=== debian/control ===
Source: r-cran-rcpproll
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-cran-rcpp
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-rcpproll.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-rcpproll.git
Homepage: https://cran.r-project.org/package=RcppRoll
Testsuite: autopkgtest-pkg-r

Package: r-cran-rcpproll
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R efficient rolling / windowed operations
 Provides fast and efficient routines for
 common rolling / windowed operations. Routines for the
 efficient computation of windowed mean, median,
 sum, product, minimum, maximum, standard deviation
 and variance are provided.

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/RcppRoll_([-\d.]*)\.tar\.gz

## r-cran-rcpproll 0.3.0

=== DESCRIPTION ===
Package: RcppRoll
Type: Package
Title: Efficient Rolling / Windowed Operations
Version: 0.3.0
Date: 2018-06-05
Author: Kevin Ushey
Maintainer: Kevin Ushey <kevinushey@gmail.com>
Description: Provides fast and efficient routines for
    common rolling / windowed operations. Routines for the
    efficient computation of windowed mean, median,
    sum, product, minimum, maximum, standard deviation
    and variance are provided.
License: GPL (>= 2)
Depends: R (>= 2.15.1)
Suggests: zoo, testthat
Imports: Rcpp
LinkingTo: Rcpp
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2018-06-05 17:45:24 UTC; kevin
Repository: CRAN
Date/Publication: 2018-06-05 18:35:35 UTC

=== debian/changelog ===
r-cran-rcpproll (0.3.0-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Wed, 23 Sep 2020 11:57:58 +0200

r-cran-rcpproll (0.3.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 07 Jun 2018 08:33:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: r-cran-rcpproll
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
+               r-base-dev,
                r-cran-rcpp
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-rcpproll.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-rcpproll.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcpproll
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcpproll.git
 Homepage: https://cran.r-project.org/package=RcppRoll
-Testsuite: autopkgtest-pkg-r
+Rules-Requires-Root: no
 
 Package: r-cran-rcpproll
 Architecture: any

## r-cran-rcpproll 0.3.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Package: RcppRoll
 Type: Package
 Title: Efficient Rolling / Windowed Operations
-Version: 0.3.0
-Date: 2018-06-05
+Version: 0.3.1
 Author: Kevin Ushey
 Maintainer: Kevin Ushey <kevinushey@gmail.com>
 Description: Provides fast and efficient routines for
@@ -17,6 +16,6 @@
 LinkingTo: Rcpp
 RoxygenNote: 6.0.1
 NeedsCompilation: yes
-Packaged: 2018-06-05 17:45:24 UTC; kevin
+Packaged: 2024-07-07 10:09:06 UTC; kevin
 Repository: CRAN
-Date/Publication: 2018-06-05 18:35:35 UTC
+Date/Publication: 2024-07-07 11:10:02 UTC

=== debian/changelog ===
r-cran-rcpproll (0.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 08 Aug 2024 08:31:19 +0900

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-cran-rcpproll
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcpproll
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcpproll.git
+Homepage: https://cran.r-project.org/package=RcppRoll
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcpproll
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcpproll.git
-Homepage: https://cran.r-project.org/package=RcppRoll
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-rcpproll
 Architecture: any

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-zoo,
        r-cran-testthat
Restrictions: allow-stderr
